Can't install CodeReady Studio on my M1 MacBook Air

Latest response

I'm trying to install CodeReady Studio on my M1 MacBook Air but I'm having some issues. I Have the Azul's version of the Java OpenJDK 8 and I report some errors. Same thing with the Oracle's OpenJDK. I both tried the JDK 11 and JDK 8 and this is the error I'm getting:

Cannot complete the install because one or more required items could not be found. Software being installed: Red Hat CodeReady Studio (Branded Product) 12.19.0.GA-v20210412-1343-B91 (com.jboss.devstudio.core.package 12.19.0.GA-v20210412-1343-B91) Missing requirement for filter properties ~= $0: Equinox p2, headless functionalities 1.6.900.v20210227-0235 (org.eclipse.equinox.p2.core.feature.feature.group 1.6.900.v20210227-0235) requires 'org.eclipse.equinox.p2.iu; org.eclipse.equinox.security.macosx [1.101.300.v20210212-1601,1.101.300.v20210212-1601]' but it could not be found Cannot satisfy dependency: From: Red Hat CodeReady Studio (Core Features) 12.19.0.v20210412-1343 (com.jboss.devstudio.core.feature.feature.group 12.19.0.v20210412-1343) To: org.eclipse.equinox.p2.iu; org.eclipse.equinox.p2.core.feature.feature.group 0.0.0 Cannot satisfy dependency: From: Red Hat CodeReady Studio (Branded Product) 12.19.0.GA-v20210412-1343-B91 (com.jboss.devstudio.core.package 12.19.0.GA-v20210412-1343-B91) To: org.eclipse.equinox.p2.iu; com.jboss.devstudio.core.feature.feature.group [12.19.0.v20210412-1343,12.19.0.v20210412-1343]Application failed, log file location: /Applications/codereadystudio/studio/p2/director/configuration/1624693428191.log

Any Help?

Attachments

Responses

Yes, i have the same issue.